﻿/****************************************** DEL SISTEMA ********************************/
html, body, table {
    height: 100%;
    margin: 0px;
    border: 0px;
    padding: 0px;
}

body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
    background-color: #e3e1df;
    height: 100%;
    letter-spacing: 0;
}

a:link, a:visited {
    color: #0A9D65;
    text-decoration: none;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}

a:hover {
    color: #1F7F53!important;
    text-decoration: none !important;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}

a:active {
    color: #1F7F53!important;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}

.RadUpload .ruBrowse {
    width: auto !important;
    background-Position: 0 0;
}

span {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}

.RadWindow_Bootstrap .rwDialogButtons input {
    color: #fff !important;
}

.RadWindow_Bootstrap .rwDialogButtons .rwOkBtn {
    background-color: #0A9D65 !important;
    width: 66px;
    height: 25px;
}

.RadWindow_Bootstrap .rwDialogButtons .rwCancelBtn {
    background-color: #dc3545 !important;
    width: 66px;
    height: 25px;
}

.RadWindow_Bootstrap .rwAlertDialog:before {
    content: none !important;
}

.RadWindow_Bootstrap .rwConfirmDialog:before {
    content: none !important;
}

.RadWindow_Bootstrap .rwDialogContent {
    padding: 0 0 0 0 !important;
}

.RadWindow_Bootstrap span.rwIcon:before {
    content: none !important;
}

.RadWindow_Bootstrap span.rwIcon {
    background-size: 32px 32px !important;
    background-Position-y: center !important;
    background-image: url("../Imagenes/Gen_Logo_IONET32x32.png") !important;
    top: .7em !Important;
}

.RadWindow .rwIcon {
    width: 30px !important;
    height: 35px !important;
}

.RadWindow .rwTitleBar {
    height: 40px !important;
}

.RadWindow .rwTitle {
    padding: 0 0 0 40px!important;
}

.RadWindow_Bootstrap .rwDialogButtons .rwOkBtn {
    right: 10px !important;
    Position: absolute !important;
    bottom: 10px !important;
    width: 100px !important;
    height: 30px !important;
}

.RadWindow .rwDialogButtons button {
    padding: 0px !important;
    color: white !important;
}

.RadWindow_Bootstrap .rwDialogButtons .rwCancelBtn {
    right: 115px !important;
    Position: absolute !important;
    bottom: 10px !important;
    width: 100px !important;
    height: 30px !important;
}

.RadWindow .rwDialogMessage {
    max-height: 470px !important;
    overflow-y: auto !important;
}

.RadGrid_Bootstrap .rgHeader, .RadGrid_Bootstrap .rgHeader a {
    font-size: 10px !important;
    font-weight: bold !important;
}
.rgMasterTable {
    font-size: 10px !important;
}

/****************************************** MATER PAGE ********************************/
.fondoLogin {
    background-image: url(../Imagenes/Fondo_Marca_Agua.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-Position: center;
    content: "";
    display: block;
    Position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
    opacity: 0.9;
}

.IniciarSesionNombreContenedor {
    background-color: #F5F5F5;
}

.ImagenIniciarSesionContenedor {
    background-color: #F5F5F5;
    width: 100%;
    height: 100%;
    min-height: 53px;
    vertical-align: middle;
    text-align: right;
}

    .ImagenIniciarSesionContenedor > a { /*Este es para el link en el iniciar sesion NO Autenticado*/
    }

        .ImagenIniciarSesionContenedor > a > div { /*Este es para el div que tiene dentro la imagen en el iniciar sesion NO Autenticado*/
            margin: 0 auto;
            min-height: 53px;
        }

    .ImagenIniciarSesionContenedor > img { /*Este es para la imagen en el usuario  YA Autenticado*/
        Position: relative;
        display: inline-block;
        overflow: hidden;
        max-height: 53px !important;
        max-width: 47px !important;
        border-radius: 50%;
    }

.ImagenIniciarSesion {
    width: 30px;
    height: 30px;
    background-image: url('../../Imagenes/Gen_Iniciar_Sesion.png');
    background-Position: center center;
    background-repeat: no-repeat;
    border-radius: 50%;
    /*background-color:red;*/
}

    .ImagenIniciarSesion:hover {
        width: 30px;
        height: 30px;
        background-image: url('../../Imagenes/Gen_Iniciar_Sesion_Hov.png');
        background-Position: center center;
        background-repeat: no-repeat;
        border-radius: 50%;
    }

.ImagenCerrarSesion {
    width: 30px;
    height: 30px;
    background-image: url('../../Imagenes/Gen_Iniciar_Sesion_Hov.png');
    background-Position: center center;
    background-repeat: no-repeat;
    border-radius: 50%;
}

    .ImagenCerrarSesion:hover {
        width: 30px;
        height: 30px;
        background-image: url('../../Imagenes/Gen_Iniciar_Sesion.png');
        background-Position: center center;
        background-repeat: no-repeat;
        border-radius: 50%;
    }

.SubContenedorPagina {
    /*border-bottom: 2.5px solid #0D3793;*/
    border-top: 2.5px solid #0A9D65;
    margin: 0 auto;
    min-height: 500px;
}

.error {
    text-align: center;
    height: 550px;
}

    .error:before {
        content: '';
        display: inline-block;
        height: 100%;
        vertical-align: middle;
        margin-right: -0.05em; /* Ajustar para el espacio */
        width: 5px;
        /*background: #808080;*/
    }

.centered {
    display: inline-block;
    vertical-align: middle;
    width: 400px;
    padding: 10px 15px;
    /*background: gold;*/
}

.deshabilitaMenu {
    display: none !important;
}

/****************************************** FORMAS ********************************/
.TextoTitulo {
    color: #0A9D65;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 24px;
    font-weight: bold;
}

.TextoSubTitulo {
    color: #2DBB7A;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 20px;
    font-weight: bold;
}

.TextoParrafo {
    color: #000000;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 16px;
}

.TextoEtiqueta {
    color: #0A9D65;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}
.TextoEtiquetaBold {
    color: #0A9D65;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
    font-weight: bold;
}

.TextoEtiquetaNegra {
    color: #000000;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}
.TextoEtiquetaNegraBold {
    color: #000000;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
    font-weight:bold;
}

.TextoEtiquetaBlanca {
    color: #fff;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
}

.TextoEtiquetaBlancaBold {
    color: #fff;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 14px;
    font-weight: bold;
}

.Ayuda {
    background-image: url('../../Imagenes/Pregunta.png');
    background-Position: center;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    height: 25px;
    width: 25px;
    display: table-cell;
    float: right;
    margin: 3px;
}

    .Ayuda:hover {
        background-image: url('../../Imagenes/Pregunta_Hov.png');
        background-Position: center;
        background-repeat: no-repeat;
        background-size: 20px 20px;
        cursor: pointer;
        height: 25px;
        width: 25px;
        display: table-cell;
        float: right;
        margin: 3px;
    }

.Home {
    background-image: url('../../Imagenes/Home.png');
    background-Position: center;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    height: 25px;
    width: 25px;
    display: table-cell;
    float: right;
    margin: 3px;
}

    .Home:hover {
        background-image: url('../../Imagenes/Home_Hov.png');
        background-Position: center;
        background-repeat: no-repeat;
        background-size: 20px 20px;
        cursor: pointer;
        height: 25px;
        width: 25px;
        display: table-cell;
        float: right;
        margin: 3px;
    }

.loadingSistema {
    Position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 999999999999 !important;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.5);
}


.divLoad {
    width: 100%;
    height: 100%;
    line-height: 400px;
    margin: 0px auto;
    text-align: center;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.5);
}

    .divLoad img {
        vertical-align: middle;
    }

/****************************************** SLIDER ********************************/

.switch {
    position: relative;
    display: inline-block;
    width: 70px;
    height: 34px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 8px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #6a8e47;
}

input:focus + .slider {
    box-shadow: 0 0 1px #6a8e47;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }


/****************************************** BOTONERA FLOTATE GRID ********************************/

.botoneraFlotante {
    position: fixed !important;
    overflow-y: scroll;
    top: 0 !important;
}

.botoneraNormal {
    position: inherit!important;
}

.tamanoImagen {
    width: 4vw;
    min-width: 40px;
}